
Figure - Bug #114065
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】应用由小窗切到全屏时，有明显的页面闪烁现象，可以看到桌面上的应用图标
2022-11-21 17:45 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-21

Priority: High Due date: 2023-01-06

Assignee: CD TEST-方永红 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211190335

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301040309

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 在app切换的时候,处于后台的应用会执行alpha的动画, alpha从1.0f到1.0f,所以会在切换的过程中看到后台应用的界面

Description

【前提条件】

1、设备已开机

2、本地有音乐

【测试步骤】

1、打开音乐小窗

2、播放一首歌曲

3、将音乐正常小窗切换到全屏模式

【预期结果】

3、切换过程自然流畅

【实际结果】

3、切换时有明显的页面闪烁现象，可以看到桌面上的应用图标

History

#1 - 2022-11-30 15:29 - CDTS_TEST 王成

- Priority changed from Normal to High

- Severity changed from Normal to Major

#2 - 2022-12-08 11:29 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_V5.0_20221230

#3 - 2022-12-20 10:10 - DL FW-郝健

- Assignee changed from DL FW-郝健 to DL FW-张挽强

#4 - 2022-12-26 10:07 - CD TPM-王祥林

- Category changed from 窗口定制 to CD-FW

- Assignee changed from DL FW-张挽强 to CD FW 曹覃刚

覃刚

大连同事下周撤出项目，小窗的问题后面会交接到成都。bug会陆续接手，安排人看起来。
#5 - 2022-12-26 10:48 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-鲁凯峰

#6 - 2022-12-26 15:50 - CDTS-TEST 周婷

- Due date set to 2023-01-06

- Target version changed from VX1_MCE_FSE_V5.0_20221230 to VX1_MCE_FSE_C sample_20230113

#7 - 2022-12-29 18:03 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

173002 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: hide background task alpha when app transitionset alpha to 0.f when app transition from freeform to fullscreenTC-RID: 1201-0204601IssueID:

TS-R-BUG-114065Change-Id: I3100b13feed39088869f6f76f1c6924f708c6c06

#8 - 2023-01-03 09:42 - CD FW 曹覃刚

- Category changed from CD-FW to 窗口定制

#9 - 2023-01-03 11:08 - CD FW-鲁凯峰

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 在app切换的时候,处于后台的应用会执行alpha的动画, alpha从1.0f到1.0f,所以会在切换的过程中看到后台应用的界面

■ Current conclusion

问题已经解决

■ My analysis

在app切换的时候,处于后台的应用会执行alpha的动画, alpha从1.0f到1.0f,所以会在切换的过程中看到后台应用的界面

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/173002

#10 - 2023-01-04 10:54 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

#11 - 2023-01-04 11:14 - CD TEST-方永红

- Subject changed from 【AF】【EVT】【小窗模式】部分应用进行mini模式和正常模式的切换时，有明显的页面闪烁现象 to 【AF】【EVT】【小窗模式】

应用由小窗切到全屏时，有明显的页面闪烁现象，可以看到桌面上的应用图标

- Description updated

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301040309

1.4
验证通过

#12 - 2023-01-04 11:14 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190122 2022-11-21 16-31-32.mp4 7.93 MB 2022-11-21 CD TEST-方永红
